Skip to main content
Nowledge MemNowledge Mem

Ingest File Path

POST
/sources/ingest/file-path

Ingest a file by its local path.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/sources/ingest/file-path" \  -H "Content-Type: application/json" \  -d '{    "file_path": "string"  }'
{  "is_duplicate": false,  "lifecycle_state": "string",  "message": "",  "original_name": "string",  "source_id": "string"}